org.ajax4jsf.taglib.html.jsp

## Class HtmlCommandLinkTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.HtmlCommandLinkTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class HtmlCommandLinkTag
      extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlCommandLinkTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setCharset(javax.el.ValueExpression __charset)` The character encoding of a resource designated by this hyperlink Setter for charset
    `void` | `setCoords(javax.el.ValueExpression __coords)` This attribute specifies the position and shape on the screen.
    `void` | `setDir(javax.el.ValueExpression __dir)` Direction indication for text that does not inherit directionality.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` When set for a form control, this boolean attribute disables the control for your input.
    `void` | `setHreflang(javax.el.ValueExpression __hreflang)` Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
    `void` | `setLang(javax.el.ValueExpression __lang)` Code describing the language used in the generated markup for this component Setter for lang
    `void` | `setOnblur(javax.el.ValueExpression __onblur)` JavaScript code.
    `void` | `setOnclick(javax.el.ValueExpression __onclick)` The clientside script method to be called when the element is clicked Setter for onclick
    `void` | `setOndblclick(javax.el.ValueExpression __ondblclick)` The client side script method to be called when the element is double-clicked Setter for ondblclick
    `void` | `setOnfocus(javax.el.ValueExpression __onfocus)` JavaScript code.
    `void` | `setOnkeydown(javax.el.ValueExpression __onkeydown)` The client side script method to be called when a key is pressed down over the element Setter for onkeydown
    `void` | `setOnkeypress(javax.el.ValueExpression __onkeypress)` The client side script method to be called when a key is pressed over the element and released Setter for onkeypress
    `void` | `setOnkeyup(javax.el.ValueExpression __onkeyup)` The client side script method to be called when a key is released Setter for onkeyup
    `void` | `setOnmousedown(javax.el.ValueExpression __onmousedown)` The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown
    `void` | `setOnmousemove(javax.el.ValueExpression __onmousemove)` The client side script method to be called when a pointer is moved within the element Setter for onmousemove
    `void` | `setOnmouseout(javax.el.ValueExpression __onmouseout)` The client side script method to be called when a pointer is moved away from the element Setter for onmouseout
    `void` | `setOnmouseover(javax.el.ValueExpression __onmouseover)` The client side script method to be called when a pointer is moved onto the element Setter for onmouseover
    `void` | `setOnmouseup(javax.el.ValueExpression __onmouseup)` The client side script method to be called when a mouse button is released Setter for onmouseup
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRel(javax.el.ValueExpression __rel)` The relationship from the current document to the anchor specified by this hyperlink.
    `void` | `setRev(javax.el.ValueExpression __rev)` A reverse link from the anchor specified by this hyperlink to the current document.
    `void` | `setShape(javax.el.ValueExpression __shape)` This attribute specifies the shape of a region.
    `void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
    `void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
    `void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
    `void` | `setTarget(javax.el.ValueExpression __target)` This attribute specifies the name of a frame where a document is to be opened.
    `void` | `setTitle(javax.el.ValueExpression __title)` Advisory title information about markup elements generated for this component Setter for title
    `void` | `setType(javax.el.ValueExpression __type)` The content type of the resource designated by this hyperlink Setter for type
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### HtmlCommandLinkTag

          public HtmlCommandLinkTag()

  - ### Method Detail

    - #### setAccesskey

          public void setAccesskey(javax.el.ValueExpression __accesskey)

      This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey
      Parameters:
        `accesskey` - - new value

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setCharset

          public void setCharset(javax.el.ValueExpression __charset)

      The character encoding of a resource designated by this hyperlink Setter for charset
      Parameters:
        `charset` - - new value

    - #### setCoords

          public void setCoords(javax.el.ValueExpression __coords)

      This attribute specifies the position and shape on the screen. The number and order of values depends on the shape being defined. Possible combinations: rect: left-x, top-y, right-x, bottom-y. circle: center-x, center-y, radius. Note. When the radius value is percentage value, user agents should calculate the final radius value based on the associated object's width and height. The radius should be the smaller value of the two. poly: x1, y1, x2, y2, ..., xN, yN. The first x and y coordinate pair and the last should be the same to close the polygon. When these coordinate values are not the same, user agents should infer an additional coordinate pair to close the polygon. Coordinates are relative to the top, left corner of the object. All values are lengths. All values are separated by commas Setter for coords
      Parameters:
        `coords` - - new value

    - #### setDir

          public void setDir(javax.el.ValueExpression __dir)

      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir
      Parameters:
        `dir` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      When set for a form control, this boolean attribute disables the control for your input. Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setHreflang

          public void setHreflang(javax.el.ValueExpression __hreflang)

      Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang
      Parameters:
        `hreflang` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLang

          public void setLang(javax.el.ValueExpression __lang)

      Code describing the language used in the generated markup for this component Setter for lang
      Parameters:
        `lang` - - new value

    - #### setOnblur

          public void setOnblur(javax.el.ValueExpression __onblur)

      JavaScript code. The onblur event occurs when an element loses focus either by the pointing device or by tabbing navigation. It may be used with the same elements as onfocus Setter for onblur
      Parameters:
        `onblur` - - new value

    - #### setOnclick

          public void setOnclick(javax.el.ValueExpression __onclick)

      The clientside script method to be called when the element is clicked Setter for onclick
      Parameters:
        `onclick` - - new value

    - #### setOndblclick

          public void setOndblclick(javax.el.ValueExpression __ondblclick)

      The client side script method to be called when the element is double-clicked Setter for ondblclick
      Parameters:
        `ondblclick` - - new value

    - #### setOnfocus

          public void setOnfocus(javax.el.ValueExpression __onfocus)

      JavaScript code. The onfocus event occurs when an element gets focus Setter for onfocus
      Parameters:
        `onfocus` - - new value

    - #### setOnkeydown

          public void setOnkeydown(javax.el.ValueExpression __onkeydown)

      The client side script method to be called when a key is pressed down over the element Setter for onkeydown
      Parameters:
        `onkeydown` - - new value

    - #### setOnkeypress

          public void setOnkeypress(javax.el.ValueExpression __onkeypress)

      The client side script method to be called when a key is pressed over the element and released Setter for onkeypress
      Parameters:
        `onkeypress` - - new value

    - #### setOnkeyup

          public void setOnkeyup(javax.el.ValueExpression __onkeyup)

      The client side script method to be called when a key is released Setter for onkeyup
      Parameters:
        `onkeyup` - - new value

    - #### setOnmousedown

          public void setOnmousedown(javax.el.ValueExpression __onmousedown)

      The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown
      Parameters:
        `onmousedown` - - new value

    - #### setOnmousemove

          public void setOnmousemove(javax.el.ValueExpression __onmousemove)

      The client side script method to be called when a pointer is moved within the element Setter for onmousemove
      Parameters:
        `onmousemove` - - new value

    - #### setOnmouseout

          public void setOnmouseout(javax.el.ValueExpression __onmouseout)

      The client side script method to be called when a pointer is moved away from the element Setter for onmouseout
      Parameters:
        `onmouseout` - - new value

    - #### setOnmouseover

          public void setOnmouseover(javax.el.ValueExpression __onmouseover)

      The client side script method to be called when a pointer is moved onto the element Setter for onmouseover
      Parameters:
        `onmouseover` - - new value

    - #### setOnmouseup

          public void setOnmouseup(javax.el.ValueExpression __onmouseup)

      The client side script method to be called when a mouse button is released Setter for onmouseup
      Parameters:
        `onmouseup` - - new value

    - #### setRel

          public void setRel(javax.el.ValueExpression __rel)

      The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types Setter for rel
      Parameters:
        `rel` - - new value

    - #### setRev

          public void setRev(javax.el.ValueExpression __rev)

      A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types Setter for rev
      Parameters:
        `rev` - - new value

    - #### setShape

          public void setShape(javax.el.ValueExpression __shape)

      This attribute specifies the shape of a region. The possible values are "default", "rect", "circle" and "poly". Setter for shape
      Parameters:
        `shape` - - new value

    - #### setStyle

          public void setStyle(javax.el.ValueExpression __style)

      CSS style(s) is/are to be applied when this component is rendered Setter for style
      Parameters:
        `style` - - new value

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression __styleClass)

      Corresponds to the HTML class attribute Setter for styleClass
      Parameters:
        `styleClass` - - new value

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression __tabindex)

      This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex
      Parameters:
        `tabindex` - - new value

    - #### setTarget

          public void setTarget(javax.el.ValueExpression __target)

      This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Setter for target
      Parameters:
        `target` - - new value

    - #### setTitle

          public void setTitle(javax.el.ValueExpression __title)

      Advisory title information about markup elements generated for this component Setter for title
      Parameters:
        `title` - - new value

    - #### setType

          public void setType(javax.el.ValueExpression __type)

      The content type of the resource designated by this hyperlink Setter for type
      Parameters:
        `type` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.